//
//  ViewController.m
//  rotemAP
//
//  Created by pengzefeng on 16/9/23.
//  Copyright © 2016年 mac3. All rights reserved.
//

#import "ViewController.h"
#import "cordiusView.h"
@interface ViewController (){
    
    UIView * pointStart;
    UIView * pointControl1;
    UIView * pointControl2;
    UIView * pointEnd;
    cordiusView * backview;    
    UILabel * StartLabel;
    UILabel * pc1Label;
    UILabel * pc2Label;
    UILabel * endLabel;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    backview = [[cordiusView alloc] initWithFrame:CGRectMake(0, 0, 300, 300)];
    backview.center = self.view.center;
    backview.backgroundColor = [UIColor blueColor];
    backview.startPoint = CGPointMake(20, 100);
    backview.controlPoint1 = CGPointMake(70, 100);
    backview.controlPoint2 = CGPointMake(120, 50);
    backview.endpoint = CGPointMake(180, 100);
    [self.view addSubview:backview];
    
    pointStart = [[UIView alloc] initWithFrame:CGRectMake(5, 5, 10, 10)];
    pointStart.layer.cornerRadius = 5;
    pointStart.center = CGPointMake(20, 100);
    pointStart.backgroundColor = [UIColor yellowColor];
    UIPanGestureRecognizer * startPan = [[UIPanGestureRecognizer alloc] initWithTarget:self action:@selector(pointStartMove:)];
    [pointStart addGestureRecognizer:startPan];
    [backview addSubview:pointStart];
    
    
    pointControl1 = [[UIView alloc] initWithFrame:CGRectMake(5, 5, 10, 10)];
    pointControl1.layer.cornerRadius = 5;
    pointControl1.center = CGPointMake(70, 60);
    pointControl1.backgroundColor = [UIColor greenColor];
    UIPanGestureRecognizer * PC1Pan = [[UIPanGestureRecognizer alloc] initWithTarget:self action:@selector(pointStartMove:)];
    [pointControl1 addGestureRecognizer:PC1Pan];
    [backview addSubview:pointControl1];
    
    
    pointControl2 = [[UIView alloc] initWithFrame:CGRectMake(5, 5, 10, 10)];
    pointControl2.layer.cornerRadius = 5;
    pointControl2.center = CGPointMake(120, 50);
    pointControl2.backgroundColor = [UIColor purpleColor];
    UIPanGestureRecognizer * PC2Pan = [[UIPanGestureRecognizer alloc] initWithTarget:self action:@selector(pointStartMove:)];
    [pointControl2 addGestureRecognizer:PC2Pan];
    [backview addSubview:pointControl2];
    
    pointEnd = [[UIView alloc] initWithFrame:CGRectMake(5, 5, 10, 10)];
    pointEnd.layer.cornerRadius = 5;
    pointEnd.center = CGPointMake(180, 100);
    pointEnd.backgroundColor = [UIColor whiteColor];
    UIPanGestureRecognizer * ENDPan = [[UIPanGestureRecognizer alloc] initWithTarget:self action:@selector(pointStartMove:)];
    [pointEnd addGestureRecognizer:ENDPan];
    [backview addSubview:pointEnd];
    
    
    StartLabel = [[UILabel alloc] initWithFrame:CGRectMake(10, 10, 300, 20)];
    StartLabel.font = [UIFont systemFontOfSize:14];
    StartLabel.text = [NSString stringWithFormat:@"起点x = %.2f ;起点.y = %.2f ",pointStart.center.x,pointStart.center.y];
    [self.view addSubview:StartLabel];
    
    
    pc1Label = [[UILabel alloc] initWithFrame:CGRectMake(10, 35, 300, 20)];
    pc1Label.font = [UIFont systemFontOfSize:14];
    pc1Label.text = [NSString stringWithFormat:@"控制点1x = %.2f ;控制点1点.y = %.2f ",pointControl1.center.x,pointControl1.center.y];
    [self.view addSubview:pc1Label];
    
    
    pc2Label = [[UILabel alloc] initWithFrame:CGRectMake(10, 60, 300, 20)];
    pc2Label.font = [UIFont systemFontOfSize:14];
    pc2Label.text = [NSString stringWithFormat:@"控制点2点x = %.2f ;控制点2点.y = %.2f ",pointControl2.center.x,pointControl2.center.y];
    [self.view addSubview:pc2Label];

    
    endLabel = [[UILabel alloc] initWithFrame:CGRectMake(10, 80, 300, 20)];
    endLabel.font = [UIFont systemFontOfSize:14];
    endLabel.text = [NSString stringWithFormat:@"终点x = %.2f ;终点.y = %.2f ",pointEnd.center.x,pointEnd.center.y];
    [self.view addSubview:endLabel];
    
    

}
-(void)pointStartMove:(UIPanGestureRecognizer*)pan{
    CGPoint point = [pan translationInView:backview];
    pan.view.center = CGPointMake(pan.view.center.x + point.x, pan.view.center.y + point.y);
    [pan setTranslation:CGPointMake(0, 0) inView:backview];
    [self buttonClick];
}
-(void)buttonClick{
     StartLabel.text = [NSString stringWithFormat:@"起点x = %.2f ;起点.y = %.2f ",pointStart.center.x,pointStart.center.y];
    pc1Label.text = [NSString stringWithFormat:@"控制点1x = %.2f ;控制点1点.y = %.2f ",pointControl1.center.x,pointControl1.center.y];
     pc2Label.text = [NSString stringWithFormat:@"控制点2点x = %.2f ;控制点2点.y = %.2f ",pointControl2.center.x,pointControl2.center.y];
    endLabel.text = [NSString stringWithFormat:@"终点x = %.2f ;终点.y = %.2f ",pointEnd.center.x,pointEnd.center.y];
    
    backview.startPoint = pointStart.center;
    backview.controlPoint1 = pointControl1.center;
    backview.controlPoint2 = pointControl2.center;
    backview.endpoint = pointEnd.center;
    [backview setNeedsDisplay];
    
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
